local mod = RW:Boss("Bronjahm", "The Forge of Souls", "PartyWOTLK", "The Forge of Souls")
local L

-- 3.3?
if not QueryQuestsCompleted then return end


---------------------------
-- Variables
local tSoulstormCast, wSoulstorm
local tCorruptDur, mCorrupt, iCorrupt

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.name = "Bronjahm"
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(36497)
	self:SetWin()
	
	tSoulstormCast	= self:CastTimer(68872)
	tCorruptDur		= self:DurTargetTimer(4, 68839)
	
	wSoulstorm		= self:RunawayWarning(68872)
	
	mCorrupt		= self:TargetMessage(68839)
	
	iCorrupt		= self:Icon("SKULL", 68839, false, 4)
end

---------------------------
-- Locals

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("Soulstorm", 68872)
	self:Track("Corrupt", 68839)
end

function mod:Soulstorm(event, args)
	if event == "SPELL_CAST_START" then
		wSoulstorm:Show()
		tSoulstormCast:Start()
	end
end

function mod:Corrupt(event, args)
	if event == "SPELL_AURA_APPLIED" then
		iCorrupt:Show(args.dName)
		mCorrupt:Show(args.dName)
		tCorruptDur:Start(args.dName)
	end
end